JmxManagementException (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JmxManagementException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JmxManagementException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.module.management.ManagementException
                      org.mule.module.management.agent.JmxManagementException

All Implemented Interfaces:
  Serializable

    public class JmxManagementException

extends ManagementException

`JmxManagementException` is thrown by the Jmx agents if an error occurs while executing an operation.

See Also:
  Serialized Form

Constructor Summary
`JmxManagementException(Message message)`
`JmxManagementException(Message message, ObjectName objectName)`
`JmxManagementException(Message message, ObjectName objectName, Throwable cause)`
`JmxManagementException(Message message, Throwable cause)`
`JmxManagementException(Throwable cause)`

Method Summary
`ObjectName` | `getObjectName()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JmxManagementException

    public JmxManagementException(Message message)

Parameters:
  `message` - the exception message

### JmxManagementException

    public JmxManagementException(Message message,
                                  Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### JmxManagementException

    public JmxManagementException(Message message,
                                  ObjectName objectName)

Parameters:
  `message` - the exception message

### JmxManagementException

    public JmxManagementException(Message message,
                                  ObjectName objectName,
                                  Throwable cause)

Parameters:
  `message` - the exception message
  `cause` - the exception that cause this exception to be thrown

### JmxManagementException

    public JmxManagementException(Throwable cause)

Method Detail

### getObjectName

    public ObjectName getObjectName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.